using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;
using System.IO;
using System.Xml;

public partial class Admin_LiuYan_LiuYanBen_ZengJia : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("增加留言本", "网站后台", "增加留言本", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();

        if (this.IsPostBack)
            增加留言本();
        else
            初始化();
    }

    private void 初始化()
    {
        FileInfo[] FIS = new DirectoryInfo(Server.MapPath("~/Template/Content/" + 程序.设置["默认社区模板"] + "/Other/")).GetFiles();
        for (int i = 0; i < FIS.Length; i++)
        {
            int _ID = 0;
            String 模板名称 = "";
            String 模板类型 = "";
            bool 是否WAP = true;

            XmlReader _读取 = XmlReader.Create(FIS[i].OpenRead());
            while (_读取.Read())
                if (_读取.NodeType == XmlNodeType.Element)
                    if (_读取.GetAttribute("name") == "ID")
                        _ID = Convert.ToInt32(_读取.GetAttribute("value"));
                    else if (_读取.GetAttribute("name") == "模板名称")
                        模板名称 = _读取.GetAttribute("value");
                    else if (_读取.GetAttribute("name") == "模板类型")
                        模板类型 = _读取.GetAttribute("value");
                    else if (_读取.GetAttribute("name") == "是否WAP")
                        是否WAP = Convert.ToBoolean(_读取.GetAttribute("value"));
            _读取.Close();

            switch (模板类型)
            {
                case "留言列表":
                    if (是否WAP)
                        MoBan_LiuYanLieBiao.Items.Add(new ListItem(模板名称, _ID.ToString()));
                    else
                        MoBan_3GLiuYanLieBiao.Items.Add(new ListItem(模板名称, _ID.ToString()));
                    break;
                case "查看留言":
                    if (是否WAP)
                        MoBan_ChaKanLiuYan.Items.Add(new ListItem(模板名称, _ID.ToString()));
                    else
                        MoBan_3GChaKanLiuYan.Items.Add(new ListItem(模板名称, _ID.ToString()));
                    break;
            }
        }
    }

    private void 增加留言本()
    {
        访问.验证权限("40");
        String 留言本名称 = LiuYanBenMingChen.Text;
        int 模板_留言列表 = Convert.ToInt32(MoBan_LiuYanLieBiao.SelectedValue);
        int 模板_3G留言列表 = Convert.ToInt32(MoBan_3GLiuYanLieBiao.SelectedValue);
        int 模板_查看留言 = Convert.ToInt32(MoBan_ChaKanLiuYan.SelectedValue);
        int 模板_3G查看留言 = Convert.ToInt32(MoBan_3GChaKanLiuYan.SelectedValue);

        if (留言本名称.Length < 1 || 留言本名称.Length > 50)
            throw new Exception("留言本名称的长度只能在1-50之间");

        int ZGID = 常用.SQL_最高ID(访问.连接, 程序.数据表前缀+"其它_留言_留言本");
        SqlCommand 语句 = new SqlCommand("INSERT INTO [" + 程序.数据表前缀 + "其它_留言_留言本]([ID],[留言本名称],[模板_留言列表],[模板_3G留言列表],[模板_查看留言],[模板_3G查看留言])" +
            "VALUES(" + ZGID + ",@留言本名称," + 模板_留言列表 + "," + 模板_3G留言列表 + "," + 模板_查看留言 + "," + 模板_3G查看留言 + ")", 访问.连接);
        语句.Parameters.Add("@留言本名称", SqlDbType.NVarChar).Value = 留言本名称;
        语句.ExecuteNonQuery();

        更新缓存数据 更新缓存 = new 更新缓存数据(this.Context, 访问.连接);
        更新缓存.留言本_更新留言本();

        访问统计_管理记录 记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        记录.记录("增加留言本", 访问.用户["昵称"].ToString());

        Response.Redirect("LiuYanBenGuanLi.aspx");
    }
}
